#
# spec file for package python-pytest-dependency
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-pytest-dependency
Version:        0.6.0
Release:        1.5
Summary:        Manage dependencies of tests
License:        Apache-2.0
URL:            https://github.com/RKrahl/pytest-dependency
Source:         https://files.pythonhosted.org/packages/source/p/pytest-dependency/pytest-dependency-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
# SECTION test requirements
BuildRequires:  %{python_module pytest >= 3.6.0}
# /SECTION
BuildRequires:  fdupes
Requires:       python-pytest >= 3.6.0
BuildArch:      noarch
%python_subpackages

%description
This pytest plugin manages dependencies of tests.  It allows to mark
some tests as dependent from other tests.  These tests will then be
skipped if any of the dependencies did fail or has been skipped.

%prep
%setup -q -n pytest-dependency-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%doc README.rst
%license LICENSE.txt
%{python_sitelib}/*

%changelog
* Tue Jan  9 2024 Dirk Müller <dmueller@suse.com>
- update to 0.6.0:
  * #39, #41, #59: Review documentation
  * Drop support for Python 2.
  * #40: add logging.
  * #50, #51: test suite incompatibility with pytest 6.2.0.
  * #58: declare the type of automark_dependency ini-option
    correctly as bool.
  * #75: review build tool chain.
- drop pytest6.2.patch (upstream)
* Wed Oct 25 2023 ecsos <ecsos@opensuse.org>
- Add %%{?sle15_python_module_pythons}
* Sun Feb 21 2021 John Vandenberg <jayvdb@gmail.com>
- Add pytest6.2.patch to update tests to fix Tumbleweed builds
* Sat Nov 21 2020 John Vandenberg <jayvdb@gmail.com>
- Convert to single spec
* Sun May 17 2020 Rolf Krahl <rolf@rotkraut.de>
- Fix: must set PYTHONPATH in %%check.
* Fri Feb 14 2020 Rolf Krahl <rolf@rotkraut.de>
- Update to 0.5.1.
* Sun Jul 14 2019 rolf <rolf@rotkraut.de>
- Rewrote spec file in openSUSE Python single spec flavour.
* Wed Jan 17 2018 rolf@rotkraut.de
- Update to 0.3.2.
* Wed Dec 27 2017 rolf@rotkraut.de
- Update to 0.3.1.
* Sun May 28 2017 rolf@rotkraut.de
- Initial version.
